/*!*********************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[2]!./assets/styles/app.css ***!
  \*********************************************************************************************************************************************************************************************/
@font-face {
    font-family: 'LEMONMILK-Light';
    src: url(/build/fonts/LEMONMILK-Light.299c3fec.eot);
    src: url(/build/fonts/LEMONMILK-Light.299c3fec.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-Light.e0fe055b.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-Light.e3b4d28e.woff) format('woff'),
    url(/build/fonts/LEMONMILK-Light.cb6e63fc.ttf) format('truetype'),
    url(/build/images/LEMONMILK-Light.ba73bc74.svg#LEMONMILK-Light) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-LightItalic';
    src: url(/build/fonts/LEMONMILK-LightItalic.0234e922.eot);
    src: url(/build/fonts/LEMONMILK-LightItalic.0234e922.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-LightItalic.44712da4.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-LightItalic.5d5fd05b.woff) format('woff'),
    url(/build/fonts/LEMONMILK-LightItalic.d7ac2593.ttf) format('truetype'),
    url(/build/images/LEMONMILK-LightItalic.4a23c09a.svg#LEMONMILK-LightItalic) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-BoldItalic';
    src: url(/build/fonts/LEMONMILK-BoldItalic.d751aa94.eot);
    src: url(/build/fonts/LEMONMILK-BoldItalic.d751aa94.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-BoldItalic.cb0c498b.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-BoldItalic.d66f3deb.woff) format('woff'),
    url(/build/fonts/LEMONMILK-BoldItalic.227355e0.ttf) format('truetype'),
    url(/build/images/LEMONMILK-BoldItalic.ed4f8ce2.svg#LEMONMILK-BoldItalic) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-Bold';
    src: url(/build/fonts/LEMONMILK-Bold.98523e59.eot);
    src: url(/build/fonts/LEMONMILK-Bold.98523e59.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-Bold.b5f84301.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-Bold.89d948ff.woff) format('woff'),
    url(/build/fonts/LEMONMILK-Bold.7dea9b6b.ttf) format('truetype'),
    url(/build/images/LEMONMILK-Bold.4eb88267.svg#LEMONMILK-Bold) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-MediumItalic';
    src: url(/build/fonts/LEMONMILK-MediumItalic.a4a42129.eot);
    src: url(/build/fonts/LEMONMILK-MediumItalic.a4a42129.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-MediumItalic.a4ac6ff1.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-MediumItalic.23c74818.woff) format('woff'),
    url(/build/fonts/LEMONMILK-MediumItalic.b9ead693.ttf) format('truetype'),
    url(/build/images/LEMONMILK-MediumItalic.03bf40ec.svg#LEMONMILK-MediumItalic) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-Regular';
    src: url(/build/fonts/LEMONMILK-Regular.284fcb7f.eot);
    src: url(/build/fonts/LEMONMILK-Regular.284fcb7f.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-Regular.2a1dfee2.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-Regular.29fa189e.woff) format('woff'),
    url(/build/fonts/LEMONMILK-Regular.194c7456.ttf) format('truetype'),
    url(/build/images/LEMONMILK-Regular.c945bdac.svg#LEMONMILK-Regular) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-Medium';
    src: url(/build/fonts/LEMONMILK-Medium.2d720dea.eot);
    src: url(/build/fonts/LEMONMILK-Medium.2d720dea.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-Medium.9a76f30c.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-Medium.8e2f6053.woff) format('woff'),
    url(/build/fonts/LEMONMILK-Medium.8a7f00ba.ttf) format('truetype'),
    url(/build/images/LEMONMILK-Medium.9287627b.svg#LEMONMILK-Medium) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'LEMONMILK-RegularItalic';
    src: url(/build/fonts/LEMONMILK-RegularItalic.5e3ffbfd.eot);
    src: url(/build/fonts/LEMONMILK-RegularItalic.5e3ffbfd.eot?#iefix) format('embedded-opentype'),
    url(/build/fonts/LEMONMILK-RegularItalic.76f9c4d8.woff2) format('woff2'),
    url(/build/fonts/LEMONMILK-RegularItalic.ba85b5e8.woff) format('woff'),
    url(/build/fonts/LEMONMILK-RegularItalic.435a4bcb.ttf) format('truetype'),
    url(/build/images/LEMONMILK-RegularItalic.f855c1e0.svg#LEMONMILK-RegularItalic) format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}



body {
    background: #f7f9ff;
    font-family: 'Montserrat Light', sans-serif;
    font-size: 16px;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.4;
    overflow:hidden;
    color: #555;
}

@media screen and (max-width:719px){
    body{
        overflow:scroll!important;
    }
}

#fondo{
    position: absolute;
    opacity: .4;
    top:0;
    bottom:0;
    right:0;
    left:0;
    /*background: url("https://www.esneca.com/wp-content/uploads/como-organizar-una-boda.jpg");*/
    background-size: 100vw 100vh;

}
h1,
h2,
h3,
h4,
h5,
h6 {
    color: #00011c;
}

p {
    margin-bottom: 24px;
    line-height: 1.9;
}

label {
    font-size: 16px;
    font-size: 1rem;
    font-weight: 600;
    margin-bottom: 5px;
    color: #00011c;
}



/* TITLE */

#title-container {
    min-height: 460px;
    height: 100%;
    color: #fff;
    background-color: #000;
    text-align: center;
    padding: 105px 28px 28px 28px;
    box-sizing: border-box;
    position: relative;
    box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
    -webkit-box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
    -moz-box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
}

#title-container h2 {
    font-size: 45px;
    font-weight: 800;
    color: #fff;
    padding: 0;
    margin-bottom: 0px;
}

#title-container h3 {
    font-size: 30px;
    margin-top:10vh;
    font-weight: 600;
    color: #ff0000;
    padding: 0;
}

#title-container p {
    font-size: 13px;
    padding: 0 25px;
    line-height: 20px;
}

.inner-image {
    width: 214px;
    margin-bottom: 15px;
}

.img-principal{
    width:14vw;
    height:14vw;
    overflow: hidden;
}

.img-principal img{
    width:100%;
    /*    width:150%;
        margin-top:4vh;
        filter: grayscale(100%);*/

    }

    @media screen and (max-width:719px){
        .img-principal{
            width:50vw;
            height:50vw;
            overflow: hidden;
        }

        .img-principal img{
            width:100%;


        }

        .closing-text h2{
            font-size:1.4em!important;

        }
        .closing-text .img-qr{

        }
    }

    /* FORMS */

#qbox-container {
    /*background: url(../img/corona.png);*/
    background-repeat: repeat;
    position: relative;
    background:rgba(255,255,255,.8);
    padding: 62px;
    min-height: 630px;
    box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
    -webkit-box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
    -moz-box-shadow: 10px 8px 21px 0px rgba(204, 204, 204, 0.75);
}

#steps-container {
    margin: auto;
    width: 500px;
    /*min-height: 420px;*/
    display: flex;
    vertical-align: middle;
    align-items: center;
}

.step {
    display: none;
}

.step h4 {
    margin: 0 0 26px 0;
    padding: 0;
    position: relative;
    font-weight: 500;
    font-size: 23px;
    font-size: 1.4375rem;
    line-height: 1.6;
}

button#prev-btn,
button#next-btn,
button#submit-btn {
   /* font-size: 17px;
    font-weight: bold;
    position: relative;
    width: 130px;
    height: 50px;
    background: #DC3545;
    margin: 0 auto;
    margin-top: 40px;
    overflow: hidden;
    z-index: 1;
    cursor: pointer;
    transition: color .3s;
    text-align: center;
    color: #fff;
    border: 0;
    -webkit-border-bottom-right-radius: 5px;
    -webkit-border-bottom-left-radius: 5px;
    -moz-border-radius-bottomright: 5px;
    -moz-border-radius-bottomleft: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;*/
}

button#prev-btn:after,
button#next-btn:after,
button#submit-btn:after {
    /*position: absolute;
    top: 90%;
    left: 0;
    width: 100%;
    height: 100%;
    background: #cc0616;
    content: "";
    z-index: -2;
    transition: transform .3s;*/
}

button#prev-btn:hover::after,
button#next-btn:hover::after,
button#submit-btn:hover::after {
    /*    transform: translateY(-80%);
        transition: transform .3s;
    }*/
}
.progress {
    border-radius: 0px !important;
}

.q__question {
    position: relative;
}

.q__question[type=radio]:not(:last-child) {
    margin-bottom: 10px;
}

.question__input[type=radio] {
    position: absolute;
    left: -9999px;
}

.question__label[for*="radio"] {
    position: relative;
    display: block;
    line-height: 40px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    background-color: #fff;
    padding: 5px 20px 5px 50px;
    cursor: pointer;
    transition: all 0.15s ease-in-out;
}

.question__label[for*="radio"]:hover {
    border-color: #DC3545;
}

.question__label[for*="radio"]:before,
.question__label[for*="radio"]:after {
    position: absolute;
    content: "";
}

.question__label[for*="radio"]:before {
    top: 12px;
    left: 10px;
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background-color: #fff;
    box-shadow: inset 0 0 0 1px #ced4da;
    transition: all 0.15s ease-in-out;
}

.question__input[type=radio]:checked+.question__label:before {
    background-color: #DC3545;
    box-shadow: 0 0 0 0;
}

.question__input[type=radio]:checked+.question__label:after {
    top: 22px;
    left: 18px;
    width: 10px;
    height: 5px;
    border-left: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(-45deg);
}

.form-check-input[type=radio]:checked,
.form-check-input[type=radio]:focus {
    background-color: #DC3545 !important;
    outline: none !important;
    border: none !important;
}

input:focus {
    outline: none;
}

#input-container {
    display: inline-block;
    box-shadow: none !important;
    margin-top: 36px !important;
}

label.form-check-label.radio-lb {
    margin-right: 15px;
}

#q-box__buttons {
    text-align: center;
}

input[type="text"],
input[type="number"],
input[type="email"] {
    padding: 8px 14px;
}

input[type="text"]:focus,
input[type="number"]:focus,
input[type="email"]:focus {
    border: 1px solid #DC3545;
    border-radius: 5px;
    outline: 0px !important;
    -webkit-appearance: none;
    box-shadow: none !important;
    transition: all 0.15s ease-in-out;
}
.question__input[type="text"], .question__input[type="number"] {
    position: relative;
    display: block;
    line-height: 40px;
    border: 1px solid #ced4da;
    border-radius: 5px;
    background-color: #fff;
    padding: 5px 20px 5px 50px;
    cursor: pointer;
    transition: all 0.15s ease-in-out;
}

.form-check-input:checked[type=radio],
.form-check-input:checked[type=radio]:hover,
.form-check-input:checked[type=radio]:focus,
.form-check-input:checked[type=radio]:active {
    border: none !important;
    -webkit-outline: 0px !important;
    box-shadow: none !important;
}

.form-check-input:focus,
input[type="radio"]:hover {
    box-shadow: none;
    cursor: pointer !important;
}

#success {
    display: none;
}

#success h4 {
    color: #DC3545;
}

.back-link {
    font-weight: 700;
    color: #DC3545;
    text-decoration: none;
    font-size: 18px;
}

.back-link:hover {
    color: #82000a;
}



/* PRELOADER */

#preloader-wrapper {
    width: 100%;
    height: 100%;
    z-index: 1000;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
}

#preloader {
    /*background-image: url('../img/preloader.png');*/
    width: 120px;
    height: 119px;
    border-top-color: #fff;
    border-radius: 100%;
    display: block;
    position: relative;
    top: 50%;
    left: 50%;
    margin: -75px 0 0 -75px;
    animation: spin 2s linear infinite;
    z-index: 1001;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#preloader-wrapper .preloader-section {
    width: 51%;
    height: 100%;
    position: fixed;
    top: 0;
    background: #F7F9FF;
    z-index: 1000;
}

#preloader-wrapper .preloader-section.section-left {
    left: 0
}

#preloader-wrapper .preloader-section.section-right {
    right: 0;
}

.loaded #preloader-wrapper .preloader-section.section-left {
    transform: translateX(-100%);
    transition: all 0.7s 0.3s cubic-bezier(0.645, 0.045, 0.355, 1.000);
}

.loaded #preloader-wrapper .preloader-section.section-right {
    transform: translateX(100%);
    transition: all 0.7s 0.3s cubic-bezier(0.645, 0.045, 0.355, 1.000);
}

.loaded #preloader {
    opacity: 0;
    transition: all 0.3s ease-out;
}

.loaded #preloader-wrapper {
    visibility: hidden;
    transform: translateY(-100%);
    transition: all 0.3s 1s ease-out;
}

/* MEDIA QUERIES */

@media (min-width: 990px) and (max-width: 1199px) {
    #title-container {
        padding: 80px 28px 28px 28px;
    }
    #steps-container {
        width: 85%;
    }
}

@media (max-width: 991px) {
    #title-container {
        padding: 30px;
        min-height: inherit;
    }
}

@media (max-width: 767px) {
    #qbox-container {
        padding: 30px;
    }
    #steps-container {
        width: 100%;
        min-height: 400px;
    }
    #title-container {
        padding-top: 50px;
    }
}

@media (max-width: 560px) {
    #qbox-container {
        padding: 40px;
    }
    #title-container {
        padding-top: 45px;
    }
}

.questions-inner{
    height:100vh!important;
    overflow: scroll;
}


.mobile-down{
    animation: MoveUpDown 2s linear infinite;
    position: absolute;
    top:16vh;
    width:100%;
    font-size:4em!important;
    text-align: center;
}
.mobile-down span{
    font-size:15px!important;
    width:100%;
    text-align: center;
}
.mobile-down i{
     width:100%;
     text-align: center;
}
@keyframes MoveUpDown {
    0%, 100% {
        top: 16vh;
    }
    50% {
        top: 22vh;
    }
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,eyJ2ZXJzaW9uIjozLCJmaWxlIjoiYXBwLmNzcyIsIm1hcHBpbmdzIjoiOzs7QUFBQTtJQUNJLDhCQUE4QjtJQUM5Qiw0Q0FBcUM7SUFDckM7Ozs7eURBSThEO0lBQzlELG1CQUFtQjtJQUNuQixrQkFBa0I7SUFDbEIsa0JBQWtCO0FBQ3RCOztBQUVBO0lBQ0ksb0NBQW9DO0lBQ3BDLDRDQUEyQztJQUMzQzs7OzswREFJMEU7SUFDMUUsbUJBQW1CO0lBQ25CLGtCQUFrQjtJQUNsQixrQkFBa0I7QUFDdEI7O0FBRUE7SUFDSSxtQ0FBbUM7SUFDbkMsNkNBQTBDO0lBQzFDOzs7OzBEQUl3RTtJQUN4RSxtQkFBbUI7SUFDbkIsa0JBQWtCO0lBQ2xCLGtCQUFrQjtBQUN0Qjs7QUFFQTtJQUNJLDZCQUE2QjtJQUM3Qiw2Q0FBb0M7SUFDcEM7Ozs7MERBSTREO0lBQzVELG1CQUFtQjtJQUNuQixrQkFBa0I7SUFDbEIsa0JBQWtCO0FBQ3RCOztBQUVBO0lBQ0kscUNBQXFDO0lBQ3JDLDZDQUE0QztJQUM1Qzs7OzswREFJNEU7SUFDNUUsbUJBQW1CO0lBQ25CLGtCQUFrQjtJQUNsQixrQkFBa0I7QUFDdEI7O0FBRUE7SUFDSSxnQ0FBZ0M7SUFDaEMsNkNBQXVDO0lBQ3ZDOzs7OzBEQUlrRTtJQUNsRSxtQkFBbUI7SUFDbkIsa0JBQWtCO0lBQ2xCLGtCQUFrQjtBQUN0Qjs7QUFFQTtJQUNJLCtCQUErQjtJQUMvQiw2Q0FBc0M7SUFDdEM7Ozs7MERBSWdFO0lBQ2hFLG1CQUFtQjtJQUNuQixrQkFBa0I7SUFDbEIsa0JBQWtCO0FBQ3RCOztBQUVBO0lBQ0ksc0NBQXNDO0lBQ3RDLDZDQUE2QztJQUM3Qzs7OzswREFJOEU7SUFDOUUsbUJBQW1CO0lBQ25CLGtCQUFrQjtJQUNsQixrQkFBa0I7QUFDdEI7Ozs7QUFJQTtJQUNJLG1CQUFtQjtJQUNuQiwyQ0FBMkM7SUFDM0MsZUFBZTtJQUNmLGVBQWU7SUFDZixnQkFBZ0I7SUFDaEIsZ0JBQWdCO0lBQ2hCLGVBQWU7SUFDZixXQUFXO0FBQ2Y7O0FBRUE7SUFDSTtRQUNJLHlCQUF5QjtJQUM3QjtBQUNKOztBQUVBO0lBQ0ksa0JBQWtCO0lBQ2xCLFdBQVc7SUFDWCxLQUFLO0lBQ0wsUUFBUTtJQUNSLE9BQU87SUFDUCxNQUFNO0lBQ04sNEZBQTRGO0lBQzVGLDRCQUE0Qjs7QUFFaEM7QUFDQTs7Ozs7O0lBTUksY0FBYztBQUNsQjs7QUFFQTtJQUNJLG1CQUFtQjtJQUNuQixnQkFBZ0I7QUFDcEI7O0FBRUE7SUFDSSxlQUFlO0lBQ2YsZUFBZTtJQUNmLGdCQUFnQjtJQUNoQixrQkFBa0I7SUFDbEIsY0FBYztBQUNsQjs7OztBQUlBLFVBQVU7O0FBRVY7SUFDSSxpQkFBaUI7SUFDakIsWUFBWTtJQUNaLFdBQVc7SUFDWCxzQkFBc0I7SUFDdEIsa0JBQWtCO0lBQ2xCLDZCQUE2QjtJQUM3QixzQkFBc0I7SUFDdEIsa0JBQWtCO0lBQ2xCLHVEQUF1RDtJQUN2RCwrREFBK0Q7SUFDL0QsNERBQTREO0FBQ2hFOztBQUVBO0lBQ0ksZUFBZTtJQUNmLGdCQUFnQjtJQUNoQixXQUFXO0lBQ1gsVUFBVTtJQUNWLGtCQUFrQjtBQUN0Qjs7QUFFQTtJQUNJLGVBQWU7SUFDZixlQUFlO0lBQ2YsZ0JBQWdCO0lBQ2hCLGNBQWM7SUFDZCxVQUFVO0FBQ2Q7O0FBRUE7SUFDSSxlQUFlO0lBQ2YsZUFBZTtJQUNmLGlCQUFpQjtBQUNyQjs7QUFFQTtJQUNJLFlBQVk7SUFDWixtQkFBbUI7QUFDdkI7O0FBRUE7SUFDSSxVQUFVO0lBQ1YsV0FBVztJQUNYLGdCQUFnQjtBQUNwQjs7QUFFQTtJQUNJLFVBQVU7SUFDVjs7aUNBRTZCOztJQUU3Qjs7SUFFQTtRQUNJO1lBQ0ksVUFBVTtZQUNWLFdBQVc7WUFDWCxnQkFBZ0I7UUFDcEI7O1FBRUE7WUFDSSxVQUFVOzs7UUFHZDs7UUFFQTtZQUNJLHlCQUF5Qjs7UUFFN0I7UUFDQTs7UUFFQTtJQUNKOztJQUVBLFVBQVU7O0FBRWQ7SUFDSSxzQ0FBc0M7SUFDdEMseUJBQXlCO0lBQ3pCLGtCQUFrQjtJQUNsQiwrQkFBK0I7SUFDL0IsYUFBYTtJQUNiLGlCQUFpQjtJQUNqQix1REFBdUQ7SUFDdkQsK0RBQStEO0lBQy9ELDREQUE0RDtBQUNoRTs7QUFFQTtJQUNJLFlBQVk7SUFDWixZQUFZO0lBQ1oscUJBQXFCO0lBQ3JCLGFBQWE7SUFDYixzQkFBc0I7SUFDdEIsbUJBQW1CO0FBQ3ZCOztBQUVBO0lBQ0ksYUFBYTtBQUNqQjs7QUFFQTtJQUNJLGtCQUFrQjtJQUNsQixVQUFVO0lBQ1Ysa0JBQWtCO0lBQ2xCLGdCQUFnQjtJQUNoQixlQUFlO0lBQ2Ysb0JBQW9CO0lBQ3BCLGdCQUFnQjtBQUNwQjs7QUFFQTs7O0dBR0c7Ozs7Ozs7Ozs7Ozs7Ozs7Ozs7O29DQW9CaUM7QUFDcEM7O0FBRUE7OztJQUdJOzs7Ozs7OzsrQkFRMkI7QUFDL0I7O0FBRUE7OztJQUdJOztNQUVFO0FBQ047QUFDQTtJQUNJLDZCQUE2QjtBQUNqQzs7QUFFQTtJQUNJLGtCQUFrQjtBQUN0Qjs7QUFFQTtJQUNJLG1CQUFtQjtBQUN2Qjs7QUFFQTtJQUNJLGtCQUFrQjtJQUNsQixhQUFhO0FBQ2pCOztBQUVBO0lBQ0ksa0JBQWtCO0lBQ2xCLGNBQWM7SUFDZCxpQkFBaUI7SUFDakIseUJBQXlCO0lBQ3pCLGtCQUFrQjtJQUNsQixzQkFBc0I7SUFDdEIsMEJBQTBCO0lBQzFCLGVBQWU7SUFDZixpQ0FBaUM7QUFDckM7O0FBRUE7SUFDSSxxQkFBcUI7QUFDekI7O0FBRUE7O0lBRUksa0JBQWtCO0lBQ2xCLFdBQVc7QUFDZjs7QUFFQTtJQUNJLFNBQVM7SUFDVCxVQUFVO0lBQ1YsV0FBVztJQUNYLFlBQVk7SUFDWixrQkFBa0I7SUFDbEIsc0JBQXNCO0lBQ3RCLG1DQUFtQztJQUluQyxpQ0FBaUM7QUFDckM7O0FBRUE7SUFDSSx5QkFBeUI7SUFDekIsbUJBQW1CO0FBQ3ZCOztBQUVBO0lBQ0ksU0FBUztJQUNULFVBQVU7SUFDVixXQUFXO0lBQ1gsV0FBVztJQUNYLDJCQUEyQjtJQUMzQiw2QkFBNkI7SUFDN0IseUJBQXlCO0FBQzdCOztBQUVBOztJQUVJLG9DQUFvQztJQUNwQyx3QkFBd0I7SUFDeEIsdUJBQXVCO0FBQzNCOztBQUVBO0lBQ0ksYUFBYTtBQUNqQjs7QUFFQTtJQUNJLHFCQUFxQjtJQUNyQiwyQkFBMkI7SUFDM0IsMkJBQTJCO0FBQy9COztBQUVBO0lBQ0ksa0JBQWtCO0FBQ3RCOztBQUVBO0lBQ0ksa0JBQWtCO0FBQ3RCOztBQUVBOzs7SUFHSSxpQkFBaUI7QUFDckI7O0FBRUE7OztJQUdJLHlCQUF5QjtJQUN6QixrQkFBa0I7SUFDbEIsdUJBQXVCO0lBQ3ZCLHdCQUF3QjtJQUN4QiwyQkFBMkI7SUFJM0IsaUNBQWlDO0FBQ3JDO0FBQ0E7SUFDSSxrQkFBa0I7SUFDbEIsY0FBYztJQUNkLGlCQUFpQjtJQUNqQix5QkFBeUI7SUFDekIsa0JBQWtCO0lBQ2xCLHNCQUFzQjtJQUN0QiwwQkFBMEI7SUFDMUIsZUFBZTtJQUNmLGlDQUFpQztBQUNyQzs7QUFFQTs7OztJQUlJLHVCQUF1QjtJQUN2QiwrQkFBK0I7SUFDL0IsMkJBQTJCO0FBQy9COztBQUVBOztJQUVJLGdCQUFnQjtJQUNoQiwwQkFBMEI7QUFDOUI7O0FBRUE7SUFDSSxhQUFhO0FBQ2pCOztBQUVBO0lBQ0ksY0FBYztBQUNsQjs7QUFFQTtJQUNJLGdCQUFnQjtJQUNoQixjQUFjO0lBQ2QscUJBQXFCO0lBQ3JCLGVBQWU7QUFDbkI7O0FBRUE7SUFDSSxjQUFjO0FBQ2xCOzs7O0FBSUEsY0FBYzs7QUFFZDtJQUNJLFdBQVc7SUFDWCxZQUFZO0lBQ1osYUFBYTtJQUNiLGFBQWE7SUFDYixlQUFlO0lBQ2YsTUFBTTtJQUNOLE9BQU87QUFDWDs7QUFFQTtJQUNJLGlEQUFpRDtJQUNqRCxZQUFZO0lBQ1osYUFBYTtJQUNiLHNCQUFzQjtJQUN0QixtQkFBbUI7SUFDbkIsY0FBYztJQUNkLGtCQUFrQjtJQUNsQixRQUFRO0lBQ1IsU0FBUztJQUNULHVCQUF1QjtJQUV2QixrQ0FBa0M7SUFDbEMsYUFBYTtBQUNqQjs7QUFlQTtJQUNJO1FBR0ksdUJBQXVCO0lBQzNCO0lBQ0E7UUFHSSx5QkFBeUI7SUFDN0I7QUFDSjs7QUFFQTtJQUNJLFVBQVU7SUFDVixZQUFZO0lBQ1osZUFBZTtJQUNmLE1BQU07SUFDTixtQkFBbUI7SUFDbkIsYUFBYTtBQUNqQjs7QUFFQTtJQUNJO0FBQ0o7O0FBRUE7SUFDSSxRQUFRO0FBQ1o7O0FBRUE7SUFDSSw0QkFBNEI7SUFDNUIsa0VBQWtFO0FBQ3RFOztBQUVBO0lBQ0ksMkJBQTJCO0lBQzNCLGtFQUFrRTtBQUN0RTs7QUFFQTtJQUNJLFVBQVU7SUFDViw2QkFBNkI7QUFDakM7O0FBRUE7SUFDSSxrQkFBa0I7SUFDbEIsNEJBQTRCO0lBQzVCLGdDQUFnQztBQUNwQzs7QUFFQSxrQkFBa0I7O0FBRWxCO0lBQ0k7UUFDSSw0QkFBNEI7SUFDaEM7SUFDQTtRQUNJLFVBQVU7SUFDZDtBQUNKOztBQUVBO0lBQ0k7UUFDSSxhQUFhO1FBQ2IsbUJBQW1CO0lBQ3ZCO0FBQ0o7O0FBRUE7SUFDSTtRQUNJLGFBQWE7SUFDakI7SUFDQTtRQUNJLFdBQVc7UUFDWCxpQkFBaUI7SUFDckI7SUFDQTtRQUNJLGlCQUFpQjtJQUNyQjtBQUNKOztBQUVBO0lBQ0k7UUFDSSxhQUFhO0lBQ2pCO0lBQ0E7UUFDSSxpQkFBaUI7SUFDckI7QUFDSjs7QUFFQTtJQUNJLHNCQUFzQjtJQUN0QixnQkFBZ0I7QUFDcEI7OztBQUdBO0lBQ0ksd0NBQXdDO0lBQ3hDLGtCQUFrQjtJQUNsQixRQUFRO0lBQ1IsVUFBVTtJQUNWLHVCQUF1QjtJQUN2QixrQkFBa0I7QUFDdEI7QUFDQTtJQUNJLHdCQUF3QjtJQUN4QixVQUFVO0lBQ1Ysa0JBQWtCO0FBQ3RCO0FBQ0E7S0FNSyxVQUFVO0tBQ1Ysa0JBQWtCO0FBSnZCO0FBTUE7SUFDSTtRQUNJLFNBQVM7SUFDYjtJQUNBO1FBQ0ksU0FBUztJQUNiO0FBQ0osQyIsInNvdXJjZXMiOlsid2VicGFjazovLy8uL2Fzc2V0cy9zdHlsZXMvYXBwLmNzcyJdLCJzb3VyY2VzQ29udGVudCI6WyJAZm9udC1mYWNlIHtcclxuICAgIGZvbnQtZmFtaWx5OiAnTEVNT05NSUxLLUxpZ2h0JztcclxuICAgIHNyYzogdXJsKCdmb250cy9MRU1PTk1JTEstTGlnaHQuZW90Jyk7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLUxpZ2h0LmVvdD8jaWVmaXgnKSBmb3JtYXQoJ2VtYmVkZGVkLW9wZW50eXBlJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1MaWdodC53b2ZmMicpIGZvcm1hdCgnd29mZjInKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUxpZ2h0LndvZmYnKSBmb3JtYXQoJ3dvZmYnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUxpZ2h0LnR0ZicpIGZvcm1hdCgndHJ1ZXR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUxpZ2h0LnN2ZyNMRU1PTk1JTEstTGlnaHQnKSBmb3JtYXQoJ3N2ZycpO1xyXG4gICAgZm9udC13ZWlnaHQ6IG5vcm1hbDtcclxuICAgIGZvbnQtc3R5bGU6IG5vcm1hbDtcclxuICAgIGZvbnQtZGlzcGxheTogc3dhcDtcclxufVxyXG5cclxuQGZvbnQtZmFjZSB7XHJcbiAgICBmb250LWZhbWlseTogJ0xFTU9OTUlMSy1MaWdodEl0YWxpYyc7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLUxpZ2h0SXRhbGljLmVvdCcpO1xyXG4gICAgc3JjOiB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1MaWdodEl0YWxpYy5lb3Q/I2llZml4JykgZm9ybWF0KCdlbWJlZGRlZC1vcGVudHlwZScpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstTGlnaHRJdGFsaWMud29mZjInKSBmb3JtYXQoJ3dvZmYyJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1MaWdodEl0YWxpYy53b2ZmJykgZm9ybWF0KCd3b2ZmJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1MaWdodEl0YWxpYy50dGYnKSBmb3JtYXQoJ3RydWV0eXBlJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1MaWdodEl0YWxpYy5zdmcjTEVNT05NSUxLLUxpZ2h0SXRhbGljJykgZm9ybWF0KCdzdmcnKTtcclxuICAgIGZvbnQtd2VpZ2h0OiBub3JtYWw7XHJcbiAgICBmb250LXN0eWxlOiBub3JtYWw7XHJcbiAgICBmb250LWRpc3BsYXk6IHN3YXA7XHJcbn1cclxuXHJcbkBmb250LWZhY2Uge1xyXG4gICAgZm9udC1mYW1pbHk6ICdMRU1PTk1JTEstQm9sZEl0YWxpYyc7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLUJvbGRJdGFsaWMuZW90Jyk7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLUJvbGRJdGFsaWMuZW90PyNpZWZpeCcpIGZvcm1hdCgnZW1iZWRkZWQtb3BlbnR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUJvbGRJdGFsaWMud29mZjInKSBmb3JtYXQoJ3dvZmYyJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1Cb2xkSXRhbGljLndvZmYnKSBmb3JtYXQoJ3dvZmYnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUJvbGRJdGFsaWMudHRmJykgZm9ybWF0KCd0cnVldHlwZScpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstQm9sZEl0YWxpYy5zdmcjTEVNT05NSUxLLUJvbGRJdGFsaWMnKSBmb3JtYXQoJ3N2ZycpO1xyXG4gICAgZm9udC13ZWlnaHQ6IG5vcm1hbDtcclxuICAgIGZvbnQtc3R5bGU6IG5vcm1hbDtcclxuICAgIGZvbnQtZGlzcGxheTogc3dhcDtcclxufVxyXG5cclxuQGZvbnQtZmFjZSB7XHJcbiAgICBmb250LWZhbWlseTogJ0xFTU9OTUlMSy1Cb2xkJztcclxuICAgIHNyYzogdXJsKCdmb250cy9MRU1PTk1JTEstQm9sZC5lb3QnKTtcclxuICAgIHNyYzogdXJsKCdmb250cy9MRU1PTk1JTEstQm9sZC5lb3Q/I2llZml4JykgZm9ybWF0KCdlbWJlZGRlZC1vcGVudHlwZScpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstQm9sZC53b2ZmMicpIGZvcm1hdCgnd29mZjInKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLUJvbGQud29mZicpIGZvcm1hdCgnd29mZicpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstQm9sZC50dGYnKSBmb3JtYXQoJ3RydWV0eXBlJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1Cb2xkLnN2ZyNMRU1PTk1JTEstQm9sZCcpIGZvcm1hdCgnc3ZnJyk7XHJcbiAgICBmb250LXdlaWdodDogbm9ybWFsO1xyXG4gICAgZm9udC1zdHlsZTogbm9ybWFsO1xyXG4gICAgZm9udC1kaXNwbGF5OiBzd2FwO1xyXG59XHJcblxyXG5AZm9udC1mYWNlIHtcclxuICAgIGZvbnQtZmFtaWx5OiAnTEVNT05NSUxLLU1lZGl1bUl0YWxpYyc7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLU1lZGl1bUl0YWxpYy5lb3QnKTtcclxuICAgIHNyYzogdXJsKCdmb250cy9MRU1PTk1JTEstTWVkaXVtSXRhbGljLmVvdD8jaWVmaXgnKSBmb3JtYXQoJ2VtYmVkZGVkLW9wZW50eXBlJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1NZWRpdW1JdGFsaWMud29mZjInKSBmb3JtYXQoJ3dvZmYyJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1NZWRpdW1JdGFsaWMud29mZicpIGZvcm1hdCgnd29mZicpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstTWVkaXVtSXRhbGljLnR0ZicpIGZvcm1hdCgndHJ1ZXR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLU1lZGl1bUl0YWxpYy5zdmcjTEVNT05NSUxLLU1lZGl1bUl0YWxpYycpIGZvcm1hdCgnc3ZnJyk7XHJcbiAgICBmb250LXdlaWdodDogbm9ybWFsO1xyXG4gICAgZm9udC1zdHlsZTogbm9ybWFsO1xyXG4gICAgZm9udC1kaXNwbGF5OiBzd2FwO1xyXG59XHJcblxyXG5AZm9udC1mYWNlIHtcclxuICAgIGZvbnQtZmFtaWx5OiAnTEVNT05NSUxLLVJlZ3VsYXInO1xyXG4gICAgc3JjOiB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1SZWd1bGFyLmVvdCcpO1xyXG4gICAgc3JjOiB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1SZWd1bGFyLmVvdD8jaWVmaXgnKSBmb3JtYXQoJ2VtYmVkZGVkLW9wZW50eXBlJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1SZWd1bGFyLndvZmYyJykgZm9ybWF0KCd3b2ZmMicpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstUmVndWxhci53b2ZmJykgZm9ybWF0KCd3b2ZmJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1SZWd1bGFyLnR0ZicpIGZvcm1hdCgndHJ1ZXR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLVJlZ3VsYXIuc3ZnI0xFTU9OTUlMSy1SZWd1bGFyJykgZm9ybWF0KCdzdmcnKTtcclxuICAgIGZvbnQtd2VpZ2h0OiBub3JtYWw7XHJcbiAgICBmb250LXN0eWxlOiBub3JtYWw7XHJcbiAgICBmb250LWRpc3BsYXk6IHN3YXA7XHJcbn1cclxuXHJcbkBmb250LWZhY2Uge1xyXG4gICAgZm9udC1mYW1pbHk6ICdMRU1PTk1JTEstTWVkaXVtJztcclxuICAgIHNyYzogdXJsKCdmb250cy9MRU1PTk1JTEstTWVkaXVtLmVvdCcpO1xyXG4gICAgc3JjOiB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1NZWRpdW0uZW90PyNpZWZpeCcpIGZvcm1hdCgnZW1iZWRkZWQtb3BlbnR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLU1lZGl1bS53b2ZmMicpIGZvcm1hdCgnd29mZjInKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLU1lZGl1bS53b2ZmJykgZm9ybWF0KCd3b2ZmJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1NZWRpdW0udHRmJykgZm9ybWF0KCd0cnVldHlwZScpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstTWVkaXVtLnN2ZyNMRU1PTk1JTEstTWVkaXVtJykgZm9ybWF0KCdzdmcnKTtcclxuICAgIGZvbnQtd2VpZ2h0OiBub3JtYWw7XHJcbiAgICBmb250LXN0eWxlOiBub3JtYWw7XHJcbiAgICBmb250LWRpc3BsYXk6IHN3YXA7XHJcbn1cclxuXHJcbkBmb250LWZhY2Uge1xyXG4gICAgZm9udC1mYW1pbHk6ICdMRU1PTk1JTEstUmVndWxhckl0YWxpYyc7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLVJlZ3VsYXJJdGFsaWMuZW90Jyk7XHJcbiAgICBzcmM6IHVybCgnZm9udHMvTEVNT05NSUxLLVJlZ3VsYXJJdGFsaWMuZW90PyNpZWZpeCcpIGZvcm1hdCgnZW1iZWRkZWQtb3BlbnR5cGUnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLVJlZ3VsYXJJdGFsaWMud29mZjInKSBmb3JtYXQoJ3dvZmYyJyksXHJcbiAgICB1cmwoJ2ZvbnRzL0xFTU9OTUlMSy1SZWd1bGFySXRhbGljLndvZmYnKSBmb3JtYXQoJ3dvZmYnKSxcclxuICAgIHVybCgnZm9udHMvTEVNT05NSUxLLVJlZ3VsYXJJdGFsaWMudHRmJykgZm9ybWF0KCd0cnVldHlwZScpLFxyXG4gICAgdXJsKCdmb250cy9MRU1PTk1JTEstUmVndWxhckl0YWxpYy5zdmcjTEVNT05NSUxLLVJlZ3VsYXJJdGFsaWMnKSBmb3JtYXQoJ3N2ZycpO1xyXG4gICAgZm9udC13ZWlnaHQ6IG5vcm1hbDtcclxuICAgIGZvbnQtc3R5bGU6IG5vcm1hbDtcclxuICAgIGZvbnQtZGlzcGxheTogc3dhcDtcclxufVxyXG5cclxuXHJcblxyXG5ib2R5IHtcclxuICAgIGJhY2tncm91bmQ6ICNmN2Y5ZmY7XHJcbiAgICBmb250LWZhbWlseTogJ01vbnRzZXJyYXQgTGlnaHQnLCBzYW5zLXNlcmlmO1xyXG4gICAgZm9udC1zaXplOiAxNnB4O1xyXG4gICAgZm9udC1zaXplOiAxcmVtO1xyXG4gICAgZm9udC13ZWlnaHQ6IDYwMDtcclxuICAgIGxpbmUtaGVpZ2h0OiAxLjQ7XHJcbiAgICBvdmVyZmxvdzpoaWRkZW47XHJcbiAgICBjb2xvcjogIzU1NTtcclxufVxyXG5cclxuQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDo3MTlweCl7XHJcbiAgICBib2R5e1xyXG4gICAgICAgIG92ZXJmbG93OnNjcm9sbCFpbXBvcnRhbnQ7XHJcbiAgICB9XHJcbn1cclxuXHJcbiNmb25kb3tcclxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIG9wYWNpdHk6IC40O1xyXG4gICAgdG9wOjA7XHJcbiAgICBib3R0b206MDtcclxuICAgIHJpZ2h0OjA7XHJcbiAgICBsZWZ0OjA7XHJcbiAgICAvKmJhY2tncm91bmQ6IHVybChcImh0dHBzOi8vd3d3LmVzbmVjYS5jb20vd3AtY29udGVudC91cGxvYWRzL2NvbW8tb3JnYW5pemFyLXVuYS1ib2RhLmpwZ1wiKTsqL1xyXG4gICAgYmFja2dyb3VuZC1zaXplOiAxMDB2dyAxMDB2aDtcclxuXHJcbn1cclxuaDEsXHJcbmgyLFxyXG5oMyxcclxuaDQsXHJcbmg1LFxyXG5oNiB7XHJcbiAgICBjb2xvcjogIzAwMDExYztcclxufVxyXG5cclxucCB7XHJcbiAgICBtYXJnaW4tYm90dG9tOiAyNHB4O1xyXG4gICAgbGluZS1oZWlnaHQ6IDEuOTtcclxufVxyXG5cclxubGFiZWwge1xyXG4gICAgZm9udC1zaXplOiAxNnB4O1xyXG4gICAgZm9udC1zaXplOiAxcmVtO1xyXG4gICAgZm9udC13ZWlnaHQ6IDYwMDtcclxuICAgIG1hcmdpbi1ib3R0b206IDVweDtcclxuICAgIGNvbG9yOiAjMDAwMTFjO1xyXG59XHJcblxyXG5cclxuXHJcbi8qIFRJVExFICovXHJcblxyXG4jdGl0bGUtY29udGFpbmVyIHtcclxuICAgIG1pbi1oZWlnaHQ6IDQ2MHB4O1xyXG4gICAgaGVpZ2h0OiAxMDAlO1xyXG4gICAgY29sb3I6ICNmZmY7XHJcbiAgICBiYWNrZ3JvdW5kLWNvbG9yOiAjMDAwO1xyXG4gICAgdGV4dC1hbGlnbjogY2VudGVyO1xyXG4gICAgcGFkZGluZzogMTA1cHggMjhweCAyOHB4IDI4cHg7XHJcbiAgICBib3gtc2l6aW5nOiBib3JkZXItYm94O1xyXG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xyXG4gICAgYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxuICAgIC13ZWJraXQtYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxuICAgIC1tb3otYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxufVxyXG5cclxuI3RpdGxlLWNvbnRhaW5lciBoMiB7XHJcbiAgICBmb250LXNpemU6IDQ1cHg7XHJcbiAgICBmb250LXdlaWdodDogODAwO1xyXG4gICAgY29sb3I6ICNmZmY7XHJcbiAgICBwYWRkaW5nOiAwO1xyXG4gICAgbWFyZ2luLWJvdHRvbTogMHB4O1xyXG59XHJcblxyXG4jdGl0bGUtY29udGFpbmVyIGgzIHtcclxuICAgIGZvbnQtc2l6ZTogMzBweDtcclxuICAgIG1hcmdpbi10b3A6MTB2aDtcclxuICAgIGZvbnQtd2VpZ2h0OiA2MDA7XHJcbiAgICBjb2xvcjogI2ZmMDAwMDtcclxuICAgIHBhZGRpbmc6IDA7XHJcbn1cclxuXHJcbiN0aXRsZS1jb250YWluZXIgcCB7XHJcbiAgICBmb250LXNpemU6IDEzcHg7XHJcbiAgICBwYWRkaW5nOiAwIDI1cHg7XHJcbiAgICBsaW5lLWhlaWdodDogMjBweDtcclxufVxyXG5cclxuLmlubmVyLWltYWdlIHtcclxuICAgIHdpZHRoOiAyMTRweDtcclxuICAgIG1hcmdpbi1ib3R0b206IDE1cHg7XHJcbn1cclxuXHJcbi5pbWctcHJpbmNpcGFse1xyXG4gICAgd2lkdGg6MTR2dztcclxuICAgIGhlaWdodDoxNHZ3O1xyXG4gICAgb3ZlcmZsb3c6IGhpZGRlbjtcclxufVxyXG5cclxuLmltZy1wcmluY2lwYWwgaW1ne1xyXG4gICAgd2lkdGg6MTAwJTtcclxuICAgIC8qICAgIHdpZHRoOjE1MCU7XHJcbiAgICAgICAgbWFyZ2luLXRvcDo0dmg7XHJcbiAgICAgICAgZmlsdGVyOiBncmF5c2NhbGUoMTAwJSk7Ki9cclxuXHJcbiAgICB9XHJcblxyXG4gICAgQG1lZGlhIHNjcmVlbiBhbmQgKG1heC13aWR0aDo3MTlweCl7XHJcbiAgICAgICAgLmltZy1wcmluY2lwYWx7XHJcbiAgICAgICAgICAgIHdpZHRoOjUwdnc7XHJcbiAgICAgICAgICAgIGhlaWdodDo1MHZ3O1xyXG4gICAgICAgICAgICBvdmVyZmxvdzogaGlkZGVuO1xyXG4gICAgICAgIH1cclxuXHJcbiAgICAgICAgLmltZy1wcmluY2lwYWwgaW1ne1xyXG4gICAgICAgICAgICB3aWR0aDoxMDAlO1xyXG5cclxuXHJcbiAgICAgICAgfVxyXG5cclxuICAgICAgICAuY2xvc2luZy10ZXh0IGgye1xyXG4gICAgICAgICAgICBmb250LXNpemU6MS40ZW0haW1wb3J0YW50O1xyXG5cclxuICAgICAgICB9XHJcbiAgICAgICAgLmNsb3NpbmctdGV4dCAuaW1nLXFye1xyXG5cclxuICAgICAgICB9XHJcbiAgICB9XHJcblxyXG4gICAgLyogRk9STVMgKi9cclxuXHJcbiNxYm94LWNvbnRhaW5lciB7XHJcbiAgICAvKmJhY2tncm91bmQ6IHVybCguLi9pbWcvY29yb25hLnBuZyk7Ki9cclxuICAgIGJhY2tncm91bmQtcmVwZWF0OiByZXBlYXQ7XHJcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XHJcbiAgICBiYWNrZ3JvdW5kOnJnYmEoMjU1LDI1NSwyNTUsLjgpO1xyXG4gICAgcGFkZGluZzogNjJweDtcclxuICAgIG1pbi1oZWlnaHQ6IDYzMHB4O1xyXG4gICAgYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxuICAgIC13ZWJraXQtYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxuICAgIC1tb3otYm94LXNoYWRvdzogMTBweCA4cHggMjFweCAwcHggcmdiYSgyMDQsIDIwNCwgMjA0LCAwLjc1KTtcclxufVxyXG5cclxuI3N0ZXBzLWNvbnRhaW5lciB7XHJcbiAgICBtYXJnaW46IGF1dG87XHJcbiAgICB3aWR0aDogNTAwcHg7XHJcbiAgICAvKm1pbi1oZWlnaHQ6IDQyMHB4OyovXHJcbiAgICBkaXNwbGF5OiBmbGV4O1xyXG4gICAgdmVydGljYWwtYWxpZ246IG1pZGRsZTtcclxuICAgIGFsaWduLWl0ZW1zOiBjZW50ZXI7XHJcbn1cclxuXHJcbi5zdGVwIHtcclxuICAgIGRpc3BsYXk6IG5vbmU7XHJcbn1cclxuXHJcbi5zdGVwIGg0IHtcclxuICAgIG1hcmdpbjogMCAwIDI2cHggMDtcclxuICAgIHBhZGRpbmc6IDA7XHJcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XHJcbiAgICBmb250LXdlaWdodDogNTAwO1xyXG4gICAgZm9udC1zaXplOiAyM3B4O1xyXG4gICAgZm9udC1zaXplOiAxLjQzNzVyZW07XHJcbiAgICBsaW5lLWhlaWdodDogMS42O1xyXG59XHJcblxyXG5idXR0b24jcHJldi1idG4sXHJcbmJ1dHRvbiNuZXh0LWJ0bixcclxuYnV0dG9uI3N1Ym1pdC1idG4ge1xyXG4gICAvKiBmb250LXNpemU6IDE3cHg7XHJcbiAgICBmb250LXdlaWdodDogYm9sZDtcclxuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcclxuICAgIHdpZHRoOiAxMzBweDtcclxuICAgIGhlaWdodDogNTBweDtcclxuICAgIGJhY2tncm91bmQ6ICNEQzM1NDU7XHJcbiAgICBtYXJnaW46IDAgYXV0bztcclxuICAgIG1hcmdpbi10b3A6IDQwcHg7XHJcbiAgICBvdmVyZmxvdzogaGlkZGVuO1xyXG4gICAgei1pbmRleDogMTtcclxuICAgIGN1cnNvcjogcG9pbnRlcjtcclxuICAgIHRyYW5zaXRpb246IGNvbG9yIC4zcztcclxuICAgIHRleHQtYWxpZ246IGNlbnRlcjtcclxuICAgIGNvbG9yOiAjZmZmO1xyXG4gICAgYm9yZGVyOiAwO1xyXG4gICAgLXdlYmtpdC1ib3JkZXItYm90dG9tLXJpZ2h0LXJhZGl1czogNXB4O1xyXG4gICAgLXdlYmtpdC1ib3JkZXItYm90dG9tLWxlZnQtcmFkaXVzOiA1cHg7XHJcbiAgICAtbW96LWJvcmRlci1yYWRpdXMtYm90dG9tcmlnaHQ6IDVweDtcclxuICAgIC1tb3otYm9yZGVyLXJhZGl1cy1ib3R0b21sZWZ0OiA1cHg7XHJcbiAgICBib3JkZXItYm90dG9tLXJpZ2h0LXJhZGl1czogNXB4O1xyXG4gICAgYm9yZGVyLWJvdHRvbS1sZWZ0LXJhZGl1czogNXB4OyovXHJcbn1cclxuXHJcbmJ1dHRvbiNwcmV2LWJ0bjphZnRlcixcclxuYnV0dG9uI25leHQtYnRuOmFmdGVyLFxyXG5idXR0b24jc3VibWl0LWJ0bjphZnRlciB7XHJcbiAgICAvKnBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIHRvcDogOTAlO1xyXG4gICAgbGVmdDogMDtcclxuICAgIHdpZHRoOiAxMDAlO1xyXG4gICAgaGVpZ2h0OiAxMDAlO1xyXG4gICAgYmFja2dyb3VuZDogI2NjMDYxNjtcclxuICAgIGNvbnRlbnQ6IFwiXCI7XHJcbiAgICB6LWluZGV4OiAtMjtcclxuICAgIHRyYW5zaXRpb246IHRyYW5zZm9ybSAuM3M7Ki9cclxufVxyXG5cclxuYnV0dG9uI3ByZXYtYnRuOmhvdmVyOjphZnRlcixcclxuYnV0dG9uI25leHQtYnRuOmhvdmVyOjphZnRlcixcclxuYnV0dG9uI3N1Ym1pdC1idG46aG92ZXI6OmFmdGVyIHtcclxuICAgIC8qICAgIHRyYW5zZm9ybTogdHJhbnNsYXRlWSgtODAlKTtcclxuICAgICAgICB0cmFuc2l0aW9uOiB0cmFuc2Zvcm0gLjNzO1xyXG4gICAgfSovXHJcbn1cclxuLnByb2dyZXNzIHtcclxuICAgIGJvcmRlci1yYWRpdXM6IDBweCAhaW1wb3J0YW50O1xyXG59XHJcblxyXG4ucV9fcXVlc3Rpb24ge1xyXG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xyXG59XHJcblxyXG4ucV9fcXVlc3Rpb25bdHlwZT1yYWRpb106bm90KDpsYXN0LWNoaWxkKSB7XHJcbiAgICBtYXJnaW4tYm90dG9tOiAxMHB4O1xyXG59XHJcblxyXG4ucXVlc3Rpb25fX2lucHV0W3R5cGU9cmFkaW9dIHtcclxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIGxlZnQ6IC05OTk5cHg7XHJcbn1cclxuXHJcbi5xdWVzdGlvbl9fbGFiZWxbZm9yKj1cInJhZGlvXCJdIHtcclxuICAgIHBvc2l0aW9uOiByZWxhdGl2ZTtcclxuICAgIGRpc3BsYXk6IGJsb2NrO1xyXG4gICAgbGluZS1oZWlnaHQ6IDQwcHg7XHJcbiAgICBib3JkZXI6IDFweCBzb2xpZCAjY2VkNGRhO1xyXG4gICAgYm9yZGVyLXJhZGl1czogNXB4O1xyXG4gICAgYmFja2dyb3VuZC1jb2xvcjogI2ZmZjtcclxuICAgIHBhZGRpbmc6IDVweCAyMHB4IDVweCA1MHB4O1xyXG4gICAgY3Vyc29yOiBwb2ludGVyO1xyXG4gICAgdHJhbnNpdGlvbjogYWxsIDAuMTVzIGVhc2UtaW4tb3V0O1xyXG59XHJcblxyXG4ucXVlc3Rpb25fX2xhYmVsW2Zvcio9XCJyYWRpb1wiXTpob3ZlciB7XHJcbiAgICBib3JkZXItY29sb3I6ICNEQzM1NDU7XHJcbn1cclxuXHJcbi5xdWVzdGlvbl9fbGFiZWxbZm9yKj1cInJhZGlvXCJdOmJlZm9yZSxcclxuLnF1ZXN0aW9uX19sYWJlbFtmb3IqPVwicmFkaW9cIl06YWZ0ZXIge1xyXG4gICAgcG9zaXRpb246IGFic29sdXRlO1xyXG4gICAgY29udGVudDogXCJcIjtcclxufVxyXG5cclxuLnF1ZXN0aW9uX19sYWJlbFtmb3IqPVwicmFkaW9cIl06YmVmb3JlIHtcclxuICAgIHRvcDogMTJweDtcclxuICAgIGxlZnQ6IDEwcHg7XHJcbiAgICB3aWR0aDogMjZweDtcclxuICAgIGhlaWdodDogMjZweDtcclxuICAgIGJvcmRlci1yYWRpdXM6IDUwJTtcclxuICAgIGJhY2tncm91bmQtY29sb3I6ICNmZmY7XHJcbiAgICBib3gtc2hhZG93OiBpbnNldCAwIDAgMCAxcHggI2NlZDRkYTtcclxuICAgIC13ZWJraXQtdHJhbnNpdGlvbjogYWxsIDAuMTVzIGVhc2UtaW4tb3V0O1xyXG4gICAgLW1vei10cmFuc2l0aW9uOiBhbGwgMC4xNXMgZWFzZS1pbi1vdXQ7XHJcbiAgICAtby10cmFuc2l0aW9uOiBhbGwgMC4xNXMgZWFzZS1pbi1vdXQ7XHJcbiAgICB0cmFuc2l0aW9uOiBhbGwgMC4xNXMgZWFzZS1pbi1vdXQ7XHJcbn1cclxuXHJcbi5xdWVzdGlvbl9faW5wdXRbdHlwZT1yYWRpb106Y2hlY2tlZCsucXVlc3Rpb25fX2xhYmVsOmJlZm9yZSB7XHJcbiAgICBiYWNrZ3JvdW5kLWNvbG9yOiAjREMzNTQ1O1xyXG4gICAgYm94LXNoYWRvdzogMCAwIDAgMDtcclxufVxyXG5cclxuLnF1ZXN0aW9uX19pbnB1dFt0eXBlPXJhZGlvXTpjaGVja2VkKy5xdWVzdGlvbl9fbGFiZWw6YWZ0ZXIge1xyXG4gICAgdG9wOiAyMnB4O1xyXG4gICAgbGVmdDogMThweDtcclxuICAgIHdpZHRoOiAxMHB4O1xyXG4gICAgaGVpZ2h0OiA1cHg7XHJcbiAgICBib3JkZXItbGVmdDogMnB4IHNvbGlkICNmZmY7XHJcbiAgICBib3JkZXItYm90dG9tOiAycHggc29saWQgI2ZmZjtcclxuICAgIHRyYW5zZm9ybTogcm90YXRlKC00NWRlZyk7XHJcbn1cclxuXHJcbi5mb3JtLWNoZWNrLWlucHV0W3R5cGU9cmFkaW9dOmNoZWNrZWQsXHJcbi5mb3JtLWNoZWNrLWlucHV0W3R5cGU9cmFkaW9dOmZvY3VzIHtcclxuICAgIGJhY2tncm91bmQtY29sb3I6ICNEQzM1NDUgIWltcG9ydGFudDtcclxuICAgIG91dGxpbmU6IG5vbmUgIWltcG9ydGFudDtcclxuICAgIGJvcmRlcjogbm9uZSAhaW1wb3J0YW50O1xyXG59XHJcblxyXG5pbnB1dDpmb2N1cyB7XHJcbiAgICBvdXRsaW5lOiBub25lO1xyXG59XHJcblxyXG4jaW5wdXQtY29udGFpbmVyIHtcclxuICAgIGRpc3BsYXk6IGlubGluZS1ibG9jaztcclxuICAgIGJveC1zaGFkb3c6IG5vbmUgIWltcG9ydGFudDtcclxuICAgIG1hcmdpbi10b3A6IDM2cHggIWltcG9ydGFudDtcclxufVxyXG5cclxubGFiZWwuZm9ybS1jaGVjay1sYWJlbC5yYWRpby1sYiB7XHJcbiAgICBtYXJnaW4tcmlnaHQ6IDE1cHg7XHJcbn1cclxuXHJcbiNxLWJveF9fYnV0dG9ucyB7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbn1cclxuXHJcbmlucHV0W3R5cGU9XCJ0ZXh0XCJdLFxyXG5pbnB1dFt0eXBlPVwibnVtYmVyXCJdLFxyXG5pbnB1dFt0eXBlPVwiZW1haWxcIl0ge1xyXG4gICAgcGFkZGluZzogOHB4IDE0cHg7XHJcbn1cclxuXHJcbmlucHV0W3R5cGU9XCJ0ZXh0XCJdOmZvY3VzLFxyXG5pbnB1dFt0eXBlPVwibnVtYmVyXCJdOmZvY3VzLFxyXG5pbnB1dFt0eXBlPVwiZW1haWxcIl06Zm9jdXMge1xyXG4gICAgYm9yZGVyOiAxcHggc29saWQgI0RDMzU0NTtcclxuICAgIGJvcmRlci1yYWRpdXM6IDVweDtcclxuICAgIG91dGxpbmU6IDBweCAhaW1wb3J0YW50O1xyXG4gICAgLXdlYmtpdC1hcHBlYXJhbmNlOiBub25lO1xyXG4gICAgYm94LXNoYWRvdzogbm9uZSAhaW1wb3J0YW50O1xyXG4gICAgLXdlYmtpdC10cmFuc2l0aW9uOiBhbGwgMC4xNXMgZWFzZS1pbi1vdXQ7XHJcbiAgICAtbW96LXRyYW5zaXRpb246IGFsbCAwLjE1cyBlYXNlLWluLW91dDtcclxuICAgIC1vLXRyYW5zaXRpb246IGFsbCAwLjE1cyBlYXNlLWluLW91dDtcclxuICAgIHRyYW5zaXRpb246IGFsbCAwLjE1cyBlYXNlLWluLW91dDtcclxufVxyXG4ucXVlc3Rpb25fX2lucHV0W3R5cGU9XCJ0ZXh0XCJdLCAucXVlc3Rpb25fX2lucHV0W3R5cGU9XCJudW1iZXJcIl0ge1xyXG4gICAgcG9zaXRpb246IHJlbGF0aXZlO1xyXG4gICAgZGlzcGxheTogYmxvY2s7XHJcbiAgICBsaW5lLWhlaWdodDogNDBweDtcclxuICAgIGJvcmRlcjogMXB4IHNvbGlkICNjZWQ0ZGE7XHJcbiAgICBib3JkZXItcmFkaXVzOiA1cHg7XHJcbiAgICBiYWNrZ3JvdW5kLWNvbG9yOiAjZmZmO1xyXG4gICAgcGFkZGluZzogNXB4IDIwcHggNXB4IDUwcHg7XHJcbiAgICBjdXJzb3I6IHBvaW50ZXI7XHJcbiAgICB0cmFuc2l0aW9uOiBhbGwgMC4xNXMgZWFzZS1pbi1vdXQ7XHJcbn1cclxuXHJcbi5mb3JtLWNoZWNrLWlucHV0OmNoZWNrZWRbdHlwZT1yYWRpb10sXHJcbi5mb3JtLWNoZWNrLWlucHV0OmNoZWNrZWRbdHlwZT1yYWRpb106aG92ZXIsXHJcbi5mb3JtLWNoZWNrLWlucHV0OmNoZWNrZWRbdHlwZT1yYWRpb106Zm9jdXMsXHJcbi5mb3JtLWNoZWNrLWlucHV0OmNoZWNrZWRbdHlwZT1yYWRpb106YWN0aXZlIHtcclxuICAgIGJvcmRlcjogbm9uZSAhaW1wb3J0YW50O1xyXG4gICAgLXdlYmtpdC1vdXRsaW5lOiAwcHggIWltcG9ydGFudDtcclxuICAgIGJveC1zaGFkb3c6IG5vbmUgIWltcG9ydGFudDtcclxufVxyXG5cclxuLmZvcm0tY2hlY2staW5wdXQ6Zm9jdXMsXHJcbmlucHV0W3R5cGU9XCJyYWRpb1wiXTpob3ZlciB7XHJcbiAgICBib3gtc2hhZG93OiBub25lO1xyXG4gICAgY3Vyc29yOiBwb2ludGVyICFpbXBvcnRhbnQ7XHJcbn1cclxuXHJcbiNzdWNjZXNzIHtcclxuICAgIGRpc3BsYXk6IG5vbmU7XHJcbn1cclxuXHJcbiNzdWNjZXNzIGg0IHtcclxuICAgIGNvbG9yOiAjREMzNTQ1O1xyXG59XHJcblxyXG4uYmFjay1saW5rIHtcclxuICAgIGZvbnQtd2VpZ2h0OiA3MDA7XHJcbiAgICBjb2xvcjogI0RDMzU0NTtcclxuICAgIHRleHQtZGVjb3JhdGlvbjogbm9uZTtcclxuICAgIGZvbnQtc2l6ZTogMThweDtcclxufVxyXG5cclxuLmJhY2stbGluazpob3ZlciB7XHJcbiAgICBjb2xvcjogIzgyMDAwYTtcclxufVxyXG5cclxuXHJcblxyXG4vKiBQUkVMT0FERVIgKi9cclxuXHJcbiNwcmVsb2FkZXItd3JhcHBlciB7XHJcbiAgICB3aWR0aDogMTAwJTtcclxuICAgIGhlaWdodDogMTAwJTtcclxuICAgIHotaW5kZXg6IDEwMDA7XHJcbiAgICBkaXNwbGF5OiBub25lO1xyXG4gICAgcG9zaXRpb246IGZpeGVkO1xyXG4gICAgdG9wOiAwO1xyXG4gICAgbGVmdDogMDtcclxufVxyXG5cclxuI3ByZWxvYWRlciB7XHJcbiAgICAvKmJhY2tncm91bmQtaW1hZ2U6IHVybCgnLi4vaW1nL3ByZWxvYWRlci5wbmcnKTsqL1xyXG4gICAgd2lkdGg6IDEyMHB4O1xyXG4gICAgaGVpZ2h0OiAxMTlweDtcclxuICAgIGJvcmRlci10b3AtY29sb3I6ICNmZmY7XHJcbiAgICBib3JkZXItcmFkaXVzOiAxMDAlO1xyXG4gICAgZGlzcGxheTogYmxvY2s7XHJcbiAgICBwb3NpdGlvbjogcmVsYXRpdmU7XHJcbiAgICB0b3A6IDUwJTtcclxuICAgIGxlZnQ6IDUwJTtcclxuICAgIG1hcmdpbjogLTc1cHggMCAwIC03NXB4O1xyXG4gICAgLXdlYmtpdC1hbmltYXRpb246IHNwaW4gMnMgbGluZWFyIGluZmluaXRlO1xyXG4gICAgYW5pbWF0aW9uOiBzcGluIDJzIGxpbmVhciBpbmZpbml0ZTtcclxuICAgIHotaW5kZXg6IDEwMDE7XHJcbn1cclxuXHJcbkAtd2Via2l0LWtleWZyYW1lcyBzcGluIHtcclxuICAgIDAlIHtcclxuICAgICAgICAtd2Via2l0LXRyYW5zZm9ybTogcm90YXRlKDBkZWcpO1xyXG4gICAgICAgIC1tcy10cmFuc2Zvcm06IHJvdGF0ZSgwZGVnKTtcclxuICAgICAgICB0cmFuc2Zvcm06IHJvdGF0ZSgwZGVnKTtcclxuICAgIH1cclxuICAgIDEwMCUge1xyXG4gICAgICAgIC13ZWJraXQtdHJhbnNmb3JtOiByb3RhdGUoMzYwZGVnKTtcclxuICAgICAgICAtbXMtdHJhbnNmb3JtOiByb3RhdGUoMzYwZGVnKTtcclxuICAgICAgICB0cmFuc2Zvcm06IHJvdGF0ZSgzNjBkZWcpO1xyXG4gICAgfVxyXG59XHJcblxyXG5Aa2V5ZnJhbWVzIHNwaW4ge1xyXG4gICAgMCUge1xyXG4gICAgICAgIC13ZWJraXQtdHJhbnNmb3JtOiByb3RhdGUoMGRlZyk7XHJcbiAgICAgICAgLW1zLXRyYW5zZm9ybTogcm90YXRlKDBkZWcpO1xyXG4gICAgICAgIHRyYW5zZm9ybTogcm90YXRlKDBkZWcpO1xyXG4gICAgfVxyXG4gICAgMTAwJSB7XHJcbiAgICAgICAgLXdlYmtpdC10cmFuc2Zvcm06IHJvdGF0ZSgzNjBkZWcpO1xyXG4gICAgICAgIC1tcy10cmFuc2Zvcm06IHJvdGF0ZSgzNjBkZWcpO1xyXG4gICAgICAgIHRyYW5zZm9ybTogcm90YXRlKDM2MGRlZyk7XHJcbiAgICB9XHJcbn1cclxuXHJcbiNwcmVsb2FkZXItd3JhcHBlciAucHJlbG9hZGVyLXNlY3Rpb24ge1xyXG4gICAgd2lkdGg6IDUxJTtcclxuICAgIGhlaWdodDogMTAwJTtcclxuICAgIHBvc2l0aW9uOiBmaXhlZDtcclxuICAgIHRvcDogMDtcclxuICAgIGJhY2tncm91bmQ6ICNGN0Y5RkY7XHJcbiAgICB6LWluZGV4OiAxMDAwO1xyXG59XHJcblxyXG4jcHJlbG9hZGVyLXdyYXBwZXIgLnByZWxvYWRlci1zZWN0aW9uLnNlY3Rpb24tbGVmdCB7XHJcbiAgICBsZWZ0OiAwXHJcbn1cclxuXHJcbiNwcmVsb2FkZXItd3JhcHBlciAucHJlbG9hZGVyLXNlY3Rpb24uc2VjdGlvbi1yaWdodCB7XHJcbiAgICByaWdodDogMDtcclxufVxyXG5cclxuLmxvYWRlZCAjcHJlbG9hZGVyLXdyYXBwZXIgLnByZWxvYWRlci1zZWN0aW9uLnNlY3Rpb24tbGVmdCB7XHJcbiAgICB0cmFuc2Zvcm06IHRyYW5zbGF0ZVgoLTEwMCUpO1xyXG4gICAgdHJhbnNpdGlvbjogYWxsIDAuN3MgMC4zcyBjdWJpYy1iZXppZXIoMC42NDUsIDAuMDQ1LCAwLjM1NSwgMS4wMDApO1xyXG59XHJcblxyXG4ubG9hZGVkICNwcmVsb2FkZXItd3JhcHBlciAucHJlbG9hZGVyLXNlY3Rpb24uc2VjdGlvbi1yaWdodCB7XHJcbiAgICB0cmFuc2Zvcm06IHRyYW5zbGF0ZVgoMTAwJSk7XHJcbiAgICB0cmFuc2l0aW9uOiBhbGwgMC43cyAwLjNzIGN1YmljLWJlemllcigwLjY0NSwgMC4wNDUsIDAuMzU1LCAxLjAwMCk7XHJcbn1cclxuXHJcbi5sb2FkZWQgI3ByZWxvYWRlciB7XHJcbiAgICBvcGFjaXR5OiAwO1xyXG4gICAgdHJhbnNpdGlvbjogYWxsIDAuM3MgZWFzZS1vdXQ7XHJcbn1cclxuXHJcbi5sb2FkZWQgI3ByZWxvYWRlci13cmFwcGVyIHtcclxuICAgIHZpc2liaWxpdHk6IGhpZGRlbjtcclxuICAgIHRyYW5zZm9ybTogdHJhbnNsYXRlWSgtMTAwJSk7XHJcbiAgICB0cmFuc2l0aW9uOiBhbGwgMC4zcyAxcyBlYXNlLW91dDtcclxufVxyXG5cclxuLyogTUVESUEgUVVFUklFUyAqL1xyXG5cclxuQG1lZGlhIChtaW4td2lkdGg6IDk5MHB4KSBhbmQgKG1heC13aWR0aDogMTE5OXB4KSB7XHJcbiAgICAjdGl0bGUtY29udGFpbmVyIHtcclxuICAgICAgICBwYWRkaW5nOiA4MHB4IDI4cHggMjhweCAyOHB4O1xyXG4gICAgfVxyXG4gICAgI3N0ZXBzLWNvbnRhaW5lciB7XHJcbiAgICAgICAgd2lkdGg6IDg1JTtcclxuICAgIH1cclxufVxyXG5cclxuQG1lZGlhIChtYXgtd2lkdGg6IDk5MXB4KSB7XHJcbiAgICAjdGl0bGUtY29udGFpbmVyIHtcclxuICAgICAgICBwYWRkaW5nOiAzMHB4O1xyXG4gICAgICAgIG1pbi1oZWlnaHQ6IGluaGVyaXQ7XHJcbiAgICB9XHJcbn1cclxuXHJcbkBtZWRpYSAobWF4LXdpZHRoOiA3NjdweCkge1xyXG4gICAgI3Fib3gtY29udGFpbmVyIHtcclxuICAgICAgICBwYWRkaW5nOiAzMHB4O1xyXG4gICAgfVxyXG4gICAgI3N0ZXBzLWNvbnRhaW5lciB7XHJcbiAgICAgICAgd2lkdGg6IDEwMCU7XHJcbiAgICAgICAgbWluLWhlaWdodDogNDAwcHg7XHJcbiAgICB9XHJcbiAgICAjdGl0bGUtY29udGFpbmVyIHtcclxuICAgICAgICBwYWRkaW5nLXRvcDogNTBweDtcclxuICAgIH1cclxufVxyXG5cclxuQG1lZGlhIChtYXgtd2lkdGg6IDU2MHB4KSB7XHJcbiAgICAjcWJveC1jb250YWluZXIge1xyXG4gICAgICAgIHBhZGRpbmc6IDQwcHg7XHJcbiAgICB9XHJcbiAgICAjdGl0bGUtY29udGFpbmVyIHtcclxuICAgICAgICBwYWRkaW5nLXRvcDogNDVweDtcclxuICAgIH1cclxufVxyXG5cclxuLnF1ZXN0aW9ucy1pbm5lcntcclxuICAgIGhlaWdodDoxMDB2aCFpbXBvcnRhbnQ7XHJcbiAgICBvdmVyZmxvdzogc2Nyb2xsO1xyXG59XHJcblxyXG5cclxuLm1vYmlsZS1kb3due1xyXG4gICAgYW5pbWF0aW9uOiBNb3ZlVXBEb3duIDJzIGxpbmVhciBpbmZpbml0ZTtcclxuICAgIHBvc2l0aW9uOiBhYnNvbHV0ZTtcclxuICAgIHRvcDoxNnZoO1xyXG4gICAgd2lkdGg6MTAwJTtcclxuICAgIGZvbnQtc2l6ZTo0ZW0haW1wb3J0YW50O1xyXG4gICAgdGV4dC1hbGlnbjogY2VudGVyO1xyXG59XHJcbi5tb2JpbGUtZG93biBzcGFue1xyXG4gICAgZm9udC1zaXplOjE1cHghaW1wb3J0YW50O1xyXG4gICAgd2lkdGg6MTAwJTtcclxuICAgIHRleHQtYWxpZ246IGNlbnRlcjtcclxufVxyXG4ubW9iaWxlLWRvd24gaXtcclxuICAgIHdpZHRoOjEwMCU7XHJcbiAgICB0ZXh0LWFsaWduOiBjZW50ZXI7XHJcbn1cclxuXHJcbi5tb2JpbGUtZG93biBpe1xyXG4gICAgIHdpZHRoOjEwMCU7XHJcbiAgICAgdGV4dC1hbGlnbjogY2VudGVyO1xyXG4gfVxyXG5Aa2V5ZnJhbWVzIE1vdmVVcERvd24ge1xyXG4gICAgMCUsIDEwMCUge1xyXG4gICAgICAgIHRvcDogMTZ2aDtcclxuICAgIH1cclxuICAgIDUwJSB7XHJcbiAgICAgICAgdG9wOiAyMnZoO1xyXG4gICAgfVxyXG59Il0sIm5hbWVzIjpbXSwic291cmNlUm9vdCI6IiJ9*/